Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref.dom2dtm
Class DOM2DTMdefaultNamespaceDeclarationNode

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.dom2dtm.DOM2DTMdefaultNamespaceDeclarationNode

public class DOM2DTMdefaultNamespaceDeclarationNode
extends java.lang.Object
implements Attr

This is a kluge to let us shove a declaration for xml: into the DOM2DTM model. Basically, it creates a proxy node in DOM space to carry the additional information. This is _NOT_ a full DOM implementation, and shouldn't be one since it sits alongside the DOM rather than becoming part of the DOM model. (This used to be an internal class within DOM2DTM. Moved out because I need to perform an instanceof operation on it to support a temporary workaround in DTMManagerDefault.) %REVIEW% What if the DOM2DTM was built around a DocumentFragment and there isn't a single root element? I think this fails that case... %REVIEW% An alternative solution would be to create the node _only_ in DTM space, but given how DOM2DTM is currently written I think this is simplest.

Method Summary
`Node` | `appendChild(Node a)`
`Node` | `cloneNode(boolean deep)`
`NamedNodeMap` | `getAttributes()`
`NodeList` | `getChildNodes()`
`Node` | `getFirstChild()`
`int` | `getHandleOfNode()` Non-DOM method, part of the temporary kluge %REVIEW% This would be a pruning problem, but since it will always be added to the root element and we prune on elements, we shouldn't have to worry.
`Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Element` | `getOwnerElement()`
`Node` | `getParentNode()`
`java.lang.String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`boolean` | `getSpecified()`
`java.lang.String` | `getValue()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node a, Node b)`
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
`void` | `normalize()`
`Node` | `removeChild(Node a)`
`Node` | `replaceChild(Node a, Node b)`
`void` | `setNodeValue(java.lang.String value)`
`void` | `setPrefix(java.lang.String value)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeName

    public java.lang.String getNodeName()

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Attr

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getPrefix

    public java.lang.String getPrefix()

### getLocalName

    public java.lang.String getLocalName()

### getNodeValue

    public java.lang.String getNodeValue()

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface Attr

### getOwnerElement

    public Element getOwnerElement()

  Specified by:
    getOwnerElement in interface Attr

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

### hasChildNodes

    public boolean hasChildNodes()

### hasAttributes

    public boolean hasAttributes()

### getParentNode

    public Node getParentNode()

### getFirstChild

    public Node getFirstChild()

### getLastChild

    public Node getLastChild()

### getPreviousSibling

    public Node getPreviousSibling()

### getNextSibling

    public Node getNextSibling()

### getSpecified

    public boolean getSpecified()

  Specified by:
    getSpecified in interface Attr

### normalize

    public void normalize()

### getChildNodes

    public NodeList getChildNodes()

### getAttributes

    public NamedNodeMap getAttributes()

### getNodeType

    public short getNodeType()

### setNodeValue

    public void setNodeValue(java.lang.String value)

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface Attr

### setPrefix

    public void setPrefix(java.lang.String value)

### insertBefore

    public Node insertBefore(Node a,
                             Node b)

### replaceChild

    public Node replaceChild(Node a,
                             Node b)

### appendChild

    public Node appendChild(Node a)

### removeChild

    public Node removeChild(Node a)

### getOwnerDocument

    public Document getOwnerDocument()

### cloneNode

    public Node cloneNode(boolean deep)

### getHandleOfNode

    public int getHandleOfNode()

  Non-DOM method, part of the temporary kluge %REVIEW% This would be a pruning problem, but since it will always be added to the root element and we prune on elements, we shouldn't have to worry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.